//*****************************************************************************
// 
// Blackjack - an X windows program of the casino game.
// Copyright (C) 1997  Tom Daley 
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
// 
// The license is in the file COPYING.
// 
// Tom Daley
// 1309 W. Lorraine Ave.
// Woodland Park, CO  80863-2329
// 
// tdaley@vsys.com
// 
//*****************************************************************************

#ifndef _SHOE_INCLUDED_
#define _SHOE_INCLUDED_

#include "card.h"

//*****************************************************************************
//
//  The shoe is the container that holds multiple decks of cards at a casino.
//  It does not go on your foot!
//
//*****************************************************************************

class Shoe {
   private:
      Card **_cards;		// array of card pointers
      int _num_cards;		// number of cards
      int _next_card;		// index to next card
   public:
      Shoe (int num_decks);
      ~Shoe();
      void shuffle(void); 
      int cardsLeft(void) { return (_num_cards - _next_card); }
      Card *getCard(Card::Direction dir);
      void putCard(int, int, int);
};
    
#endif

//*****************************************************************************
