//*****************************************************************************
// 
// Blackjack - an X windows program of the casino game.
// Copyright (C) 1997  Tom Daley 
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
// 
// The license is in the file COPYING.
// 
// Tom Daley
// 1309 W. Lorraine Ave.
// Woodland Park, CO  80863-2329
// 
// tdaley@vsys.com
// 
//*****************************************************************************

#ifndef _STATUS_DISPLAY_INCLUDED_
#define _STATUS_DISPLAY_INCLUDED_

#include <qlabel.h>

//*****************************************************************************

class StatusDisplay : public QWidget {
   public:
      StatusDisplay(float bank_roll, char *help_level, QWidget *parent=0, 
                    const char *name=0 );
      void setHelp(const char *help_text);
      void setResults(float mult, float bet);	// mult: -1 = lost, 0 = push, 
						// 1 = won, 1.5 = won blackjack
      void adjustBankroll(float mult, float bet); // this is for insurnace bets
			// it does not adjust the won/lost stats
   protected:
      void resizeEvent(QResizeEvent *);
   private:
      int    _num_hands;
      float  _bank_roll;
      int    _won;
      int    _lost;
      int    _push;
      QLabel *_help_p;
      QLabel *_bank_roll_p;
      QLabel *_won_percent_p;
      QLabel *_lost_percent_p;
      QLabel *_push_percent_p;
};

#endif

//*****************************************************************************
