//*****************************************************************************
// 
// Blackjack - an X windows program of the casino game.
// Copyright (C) 1997  Tom Daley 
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
// 
// The license is in the file COPYING.
// 
// Tom Daley
// 1309 W. Lorraine Ave.
// Woodland Park, CO  80863-2329
// 
// tdaley@vsys.com
// 
//*****************************************************************************

#ifndef _TABLE_OPTION_H_
#define _TABLE_OPTION_H_

#include <qdialog.h>
#include <qbttngrp.h>
#include <qlist.h>

//*****************************************************************************

class TableOption : public QDialog {
   private:
      int   _num_decks_buttons;
      int   _num_split_buttons;
      int   _num_shuffle_buttons;
      int   _btn_height;
      int   _btn_width;
      int   _pad;
      int   _shuffle_point;
      QList <int>_deck_list;
      QList <int>_split_list;
      QList <int>_shuffle_list;
      QButtonGroup *_deck_bg, *_split_bg, *_shuffle_bg;
   public:
      TableOption(int num_decks, int num_splits, int shuffle_point,
                  QWidget* parent = 0);
      int decks(void);
      int splits(void);
      int shufflePoint(void); 
      void  addDeckButton(int num);
      void  addSplitButton(int num);
      void  addShuffleButton(int num);
      void  setDecks(int num);
      void  setSplits(int num);
      void  setShufflePoint(int num);
};

#endif

//*****************************************************************************
